<?php
if($this->session->userdata('is_logged_in')===FALSE){
	redirect('login');
}

foreach ($template->result() as $template){
    $filename=$template->kdtemplate;
    $namafile=str_replace(" ","",$template->namatemplate);
}

$url = base_url("resources/template/akta/perdata_tun/".$filename.".rtf");

$Template = file_get_contents($url);
$perkara = $dataTemplate;
$itunganPerkara = count($perkara);
$terpidana = array();

foreach ($perkara->result() as $perkara) {
	$nomorPerkara = $perkara->nomor_perkara;
	$no = explode("/",$perkara->nomor_perkara);
	$nomor = $no[0];
	$kodePerkara = $no[1];
	$tahunPerkara = $no[2];
	$kodePN = $no[3];
	$nomorPermohonan = $nomor."/Akta ".$kodePerkara."/".$tahunPerkara."/".$kodePN;
	$namaPN = $this->templatehelper->standradnaming($perkara->namaPengadilan);
	$namaPT = $this->templatehelper->standradnaming($perkara->namaPT);
	$namaPanitera = $this->templatehelper->standradnaming($perkara->pw);
	$tahapan = $perkara->Tahapan;
	$noPerkaraTahapan = $this->templatehelper->standradnaming($perkara->nomorPerkaraTahapan);
	$tglPutusTahapan = $this->templatehelper->convertKeTglIndo($perkara->putusan);
	$amarPutusTahapan = $this->templatehelper->cleanHtmlTagSpecial($perkara->amarPutusTahapan);
	$statusPanitera = $this->templatehelper->standradnaming($perkara->pejabat);
	$tglpermohonan = $this->templatehelper->convertKeTglIndo($perkara->permohonan_kasasi);
	$namaPihak = $perkara->namaPihak;
	$hariPermohonanKasasi = $this->templatehelper->getHari($perkara->permohonan_kasasi);
	$alamatPihak = $perkara->alamatPihak;
	$tanggalSuratKuasa = $perkara->tanggalSuratKuasa;
	$namaPihakdiwakilkan = $perkara->pihakAsli;
	$pemohonadlpihakke = $perkara->pihak_asal;
}
	
	//if(empty($no)){ $no = '........'; }
	//if(empty($kodePerkara)){ $kodePerkara = '........'; }
	//if(empty($tahunPerkara)){ $tahunPerkara = '........'; }
	//if(empty($kodePN)){ $kodePN = '........'; }
	if(empty($nomorPermohonan)){ $nomorPermohonan = '....................'; }
	if(empty($namaPN)){ $namaPN = '....................'; }
	if(empty($namaPanitera)){ $namaPanitera = '....................'; }
	if(empty($tahapan)){ $tahapan = '........'; }
	if(empty($noPerkaraTahapan)){ $noPerkaraTahapan = '....................'; }
	if(empty($tglPutusTahapan)){ $tglPutusTahapan = '....................'; }
	if(empty($statusPanitera)){ $statusPanitera = '....................'; }
	if(empty($tglpermohonan)){ $tglpermohonan_pk = '....................'; }
	if(empty($namaPihak)){ $namaPihak = '....................'; }
	if(empty($pekerjaanPihak)){ $pekerjaanPihak = '....................'; }
	if(empty($alamatPihak)){ $alamatPihak = '....................'; }
	if(empty($tanggalSuratKuasa)){ $tanggalSuratKuasa = '....................'; }
	if(empty($amarPutusTahapan)){ $amarPutusTahapan = '....................'; }
	if(empty($tglpermohonan_kasasi)){ $tglpermohonan_kasasi = '....................'; }
	if(empty($hariPermohonanKasasi)){ $hariPermohonanKasasi = '....................'; }
	if(empty($namaPT)){ $namaPT = '....................'; }
	
//--------------------------------------------------------------------------------//

	$Template = str_replace('#nomorpermohonan#',''.$nomorPermohonan.'',$Template);
	$Template = str_replace('#namapanitera#',''.$namaPanitera.'',$Template);
	$Template = str_replace('#namapn#',''.$namaPN.'',$Template);
	$Template = str_replace('#namapt#',''.$namaPT.'',$Template);
	$Template = str_replace('#jenisputusan#',''.$tahapan.'',$Template);
	$Template = str_replace('#nomorputusan#',''.$noPerkaraTahapan.'',$Template);
	$Template = str_replace('#tanggalputusan#',''.$tglPutusTahapan.'',$Template);
	$Template = str_replace('#statuspanitera#',''.$statusPanitera.'',$Template);
	$Template = str_replace('#tahapan#',''.$tahapan.'',$Template);
	$Template = str_replace('#tanggalkasasi#',''.$tglpermohonan.'',$Template);
	$Template = str_replace('#harikasasi#',''.$hariPermohonanKasasi.'',$Template);
	//$Template = str_replace('#pengacara#',''.$pengacara.'',$Template);
	//$Template = str_replace('#namajaksa#',''.$namaJaksa.'',$Template);
	//$Template = str_replace('#nipjaksa#',''.$nipJaksa.'',$Template);
	//$Template = str_replace('#pekerjaan#',''.$pekerjaan.'',$Template);
	$Template = str_replace('#namaPihakdiwakilkan#',''.$namaPihakdiwakilkan.'',$Template);
	$Template = str_replace('#namaPihak#',''.$namaPihak.'',$Template);
	$Template = str_replace('#pekerjaanPihak#',''.$pekerjaanPihak.'',$Template);
	$Template = str_replace('#alamatPihak#',''.$alamatPihak.'',$Template);
	$Template = str_replace('#tanggalSuratKuasa#',''.$tanggalSuratKuasa.'',$Template);
	$Template = str_replace('#amarPutusTahapan#',''.$amarPutusTahapan.'',$Template);

	$infoPenggugat='';
	$jmlPihak1=$datapihakpenggugat->num_rows;
	$i=0;
	if (!empty($datapihakpenggugat)) {
		foreach ($datapihakpenggugat->result() as $row) {
			$infoPenggugat .= $this->templatehelper->standradnaming($row->nama).' Warga negara Indonesia, pekerjaan '.$row->pekerjaan;
			$infoPenggugat .= ', Tempat tinggal di '.$row->alamat;
			$infoPenggugat .= ', untuk selanjutnya disebut sebagai Penggugat ';
			$infoPenggugat .= ($jmlPihak1>1)?$this->templatehelper->converToAngkaRomawi($row->urutan):'';
			if($pemohonadlpihakke==1){
				if($row->status_pihak_id==1 OR $row->status_pihak_id==2 OR $row->status_pihak_id==5)
					$status_pihak = 'Pemohon';
				else
					$status_pihak = 'Turut Termohon';
			}else{
				$status_pihak = 'Termohon';
			}
			$infoPenggugat .= '/'.$status_pihak.' Kasasi '.$this->templatehelper->converToAngkaRomawi($row->urutan_kasasi).';';
			$infoPenggugat .=' \\par \\par ';
		}
	}
	if(empty($infoPenggugat)){ $infoPenggugat = '....................'; }
	$Template = str_replace('#infoPenggugat#',''.$infoPenggugat.'',$Template);

	$infoTergugat='';
	$jmlPihak2=$datapihaktergugat->num_rows;
	$i=0;
	if (!empty($datapihaktergugat)) {
		foreach ($datapihaktergugat->result() as $row) {
			$infoTergugat .= $this->templatehelper->standradnaming($row->nama).' Warga negara Indonesia, pekerjaan '.$row->pekerjaan;
			$infoTergugat .= ', Tempat tinggal di '.$row->alamat;
			$infoTergugat .= ', untuk selanjutnya disebut sebagai Tergugat ';
			$infoTergugat .= ($jmlPihak2>1)?$this->templatehelper->converToAngkaRomawi($row->urutan):'';
			if($pemohonadlpihakke==2){
				if($row->status_pihak_id==1 OR $row->status_pihak_id==2 OR $row->status_pihak_id==5)
					$status_pihak = 'Pemohon';
				else
					$status_pihak = 'Turut Termohon';
			}else{
				$status_pihak = 'Termohon';
			}
			$infoTergugat .= '/'.$status_pihak.' Kasasi '.$this->templatehelper->converToAngkaRomawi($row->urutan_kasasi).';';//:'/'.$status_pihak.' Kasasi '.$this->templatehelper->converToAngkaRomawi($row->urutan_kasasi).';';
			$infoTergugat .=' \\par \\par ';
		}
	}
	//print_r($infoTergugat);
	if(empty($infoTergugat)){ $infoTergugat = '....................'; }
	$Template = str_replace('#infoTergugat#',''.$infoTergugat.'',$Template);
















//--------Data Versus Penggugat---------------//
/*
$datapenggugat = $datapihakpenggugat;
$numbering = true;
if($datapenggugat->num_rows>1){
	$jmlPenggugat=$datapenggugat->num_rows;
    for ($i=0; $i < $jmlPenggugat; $i++) { 
        $text = 'pihak'.($i+1);
        if($i==$jmlPenggugat-1){
	$Template = str_replace("#loopingparties#",'\b#'.$text.'#\b0,#'.$text.'info#',$Template);
        }else{
	$Template = str_replace("#loopingparties#",'\b#'.$text.'#\b0,#'.$text.'info#\\par'.PHP_EOL.'#loopingparties#',$Template);
        }
    }	
}else{
    $numbering = false;
    $Template = str_replace("#loopingparties#",'#pihak1#,#pihak1info#',$Template);
}

$counter = 1;
$urutan = '';
foreach ($datapenggugat->result() as $row){
    $pihak1 = '\listid1'.$this->templatehelper->standradnaming($row->nama);    
    if($numbering){
       $urutan = ' '.$this->templatehelper->converToAngkaRomawi($row->urutan);
    }
    if ($row->info==1){
        $pihak1info = " kewarganegaraan ".$row->warga_negara." pekerjaan ".$this->templatehelper->standradnaming($row->pekerjaan)." bertempat tinggal di ".$this->templatehelper->standradnaming($row->alamat)." selanjutnya disebut sebagai PENGGUGAT ".$urutan.";";
    }else{
        $pihak1info = " kewarganegaraan ".$row->warga_negara." pekerjaan ".$this->templatehelper->standradnaming($row->pekerjaan)." berkedudukan di ".$this->templatehelper->standradnaming($row->alamat)."  selanjutnya disebut sebagai PENGGUGAT ".$urutan.";";
    }    
    $pihak1info = str_replace('  ',' ',$pihak1info);
    if($numbering==true){
        $Template = str_replace('#pihak'.$counter.'#','\b '.$counter.'. '.'\tab '.$pihak1.'\b0',$Template);
    }else{
        $Template = str_replace('#pihak'.$counter.'#','\b'.$pihak1.'\b0',$Template);
    }
	
    $Template = str_replace('#pihak'.$counter.'info#',''.$pihak1info.'',$Template);
    $counter++;	
}
//-------------Data Versus Tergugat--------------------------//
$datatergugat = $datapihaktergugat;
$numbering = true;
if($datatergugat->num_rows>1){	
	$jmlTergugat=$datatergugat->num_rows;
    for ($i=0; $i < $jmlTergugat; $i++) { 
        $text = 'tergugat'.($i+1);
        if($i==$jmlTergugat-1){
            $Template = str_replace('#loopingparties2#','\b#'.$text.'#\b0,#'.$text.'info#',$Template);
        }else{
            $Template = str_replace('#loopingparties2#','\b#'.$text.'#\b0,#'.$text.'info#\\par'.PHP_EOL.'#loopingparties2#',$Template);
        }		
    }	
}else{
    $numbering = false;
    $Template = str_replace('#loopingparties2#','#tergugat1#,#tergugat1info#',$Template);
}
$counter = 1;
$urutan ='';
foreach ($datatergugat->result() as $row){
    $pihak2 = '\listid1'.$this->templatehelper->standradnaming($row->nama);
    if($numbering){
        $urutan = ' '.$this->templatehelper->converToAngkaRomawi($row->urutan);
    }
    if ($row->info==1){
        $pihak2info = " kewarganegaraan ".$row->warga_negara." pekerjaan ".$this->templatehelper->standradnaming($row->pekerjaan)." bertempat tinggal di ".$this->templatehelper->standradnaming($row->alamat)." selanjutnya disebut sebagai TERGUGAT ".$urutan.";";
    }else{
        $pihak2info = " kewarganegaraan ".$row->warga_negara." pekerjaan ".$this->templatehelper->standradnaming($row->pekerjaan)." berkedudukan di ".$this->templatehelper->standradnaming($row->alamat)."  selanjutnya disebut sebagai TERGUGAT ".$urutan.";";
    }    
    $pihak2info = str_replace('  ',' ',$pihak2info);
    if($numbering==true){
        $Template = str_replace('#tergugat'.$counter.'#','\b '.$counter.'. '.'\tab '.$pihak2.'\b0',$Template);
        $Template = str_replace('#:#',':',$Template);
    }else{
        $Template = str_replace('#tergugat'.$counter.'#','\b'.$pihak2.'\b0',$Template);
        $Template = str_replace('#:#','',$Template);
    }
    $Template = str_replace('#tergugat'.$counter.'info#',''.$pihak2info.'',$Template);
    $counter++;
}
*/
//exit();
header("Content-type: application/rtf");
header("Content-disposition: inline; filename=".$namafile."-".$nomorPerkara.".rtf");
header("Content-length: ".strlen($Template));
echo $Template;
?>